Works for me! Rated 4 out of 5 stars

Using FF3.6.24, and it does work. Had to set it to Lv2 to get it to go, but after that no problems so far. This should be an option in Firefox as a matter of course, really.

I'm still running 3.6.x because I tried FF4 and apart from some of my RSS feeds and add-ons not working, and then having to get new add-ons to recover the Status Bar and other features stripped out from FF3, the simple fact is that if I wanted a Chrome clone, I'd use the real thing. A friend is running FF7 and that looks pretty Chromey too. So I'm a bit concerned that users of FF4+ are having patchy success with this add-on.

For me, though, it's made life a lot easier.

This review is for a previous version of the add-on (0.1.2010121601.1-signed).